import { Friend } from "../entities/Friend";

/**
 * Friends controller
 * 
 * @author Pierre HUBERT
 */

export class FriendsController {

	/**
	 * Turn a friend object into an API entry
	 * 
	 * @param friend Friend object to transform
	 */
	public static FriendToAPI(friend: Friend) : any {
		return {
			ID_friend: friend.friendID,
			accepted: friend.accepted,
			time_last_activity: friend.lastActivityTime
		}
	}

}